Bug 2234 - Linux 2.6 does not like the "users" mount parameter with cifs
Linux 2.6 does not like the "users" mount parameter with cifs
Status: RESOLVED FIXED
Product: CifsVFS
Classification: Unclassified
Component: kernel fs
2.6
All Linux
: P3 normal
: ---
Assigned To: Steve French
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-11 10:42 UTC by Dirk Jagdmann
Modified: 2005-11-14 09:42 UTC (History)
1 user (show)

See Also:


Attachments
Will filter out the "users" option so Linux 2.6 won't complain. (889 bytes, patch)
2005-01-11 10:43 UTC, Dirk Jagdmann
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dirk Jagdmann 2005-01-11 10:42:16 UTC
If you use the mount.cifs program and Linux 2.6 and further have the "users"
option in your /etc/fstab line describing the cifs mount point the kernel will
complain about the option, which it does not know. My example line from fstab
looks like this:

//mrmucke/storage /mnt/storage  cifs    noauto,users,guest 0 0
Comment 1 Dirk Jagdmann 2005-01-11 10:43:45 UTC
Created attachment 883 [details]
Will filter out the "users" option so Linux 2.6 won't complain.

This patch will fix the kernel complaints as described in the original bug
description. As I could only test this with Linux 2.6 I don't know if this
behaviour is true for other releases of Linux.
Comment 2 Gerald (Jerry) Carter 2005-02-04 14:10:09 UTC
reassigning to correct project
Comment 3 Steve French 2005-02-04 16:30:17 UTC
Ok - checked in - let me know if that addresses it.
Comment 4 Steve French 2005-03-07 20:50:00 UTC
should be fixed in 2.6.10 
Comment 5 Steve French 2005-03-07 20:50:24 UTC
should be fixed in 2.6.10